webapp-3.4.11.1346 login problem

Hello,

I just upgrade all packages. also webapp to version 3.4.11.1346. However i can log in but when i should see my inbox i get a page not found? No errors in the log files. What can be the problem?

0_1522781935486_503ab64c-fa79-4089-ba2c-7f972e59b10e-image.png

the kopano-spooler also wont start:

kopano-spooler.service - Kopano Core Spooler
   Loaded: loaded (/usr/lib/systemd/system/kopano-spooler.service; enabled; vendor preset: disabled)
   Active: failed (Result: signal) since Tue 2018-04-03 21:20:33 CEST; 16s ago
     Docs: man:kopano-spooler(8)
           man:kopano-spooler.cfg(5)
  Process: 3050 ExecStart=/usr/sbin/kopano-spooler -F (code=killed, signal=ABRT)
 Main PID: 3050 (code=killed, signal=ABRT)

Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #11. /lib64/libmapi.so.1(+0x376d8) [0x7fcd908c56d8]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #12. /lib64/libmapi.so.1(_ZN2KC15HrOpenECSessionEPP12IMAPISessionPKcS4_PKwS6_S4_jS4_S4_S4_+0xc6) [0x7fcd908c5c06]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #13. /lib64/libmapi.so.1(_ZN2KC20HrOpenECAdminSessionEPP12IMAPISessionPKcS4_S4_jS4_S4_+0x20) [0x7fcd908c5e00]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #14. /usr/sbin/kopano-spooler() [0x409e4f]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #15. /lib64/libc.so.6(__libc_start_main+0xf5) [0x7fcd8b90bc05]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] #16. /usr/sbin/kopano-spooler() [0x40b0ff]
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] Signal errno: Success, signal code: -6
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] Sender pid: 3050, sender uid: 996, si_status: 0
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] Signal value: 0, faulting address: 0x3e400000bea
Apr 03 21:20:33 kopano kopano-spooler[3050]: Tue Apr  3 21:20:33 2018: [crit   ] [ 3050] When reporting this traceback, please include Linux distribution name (and version), system

When reporting this traceback, please include Linux distribution name (and version), system

The version of Kopano may also be helpful. What did you do before the error occurred first? Also update core?

@fbartels Hi

Yes i updated all packages to the latest packages. i just downgraded and now everything is fine.

I created a new virtual system and install kopano on this same issue!

@fbartels

0_1522790908773_40e35aae-8c77-437d-8e5f-510a052411e3-image.png

8.6.80.397_0+42

Wed Apr  4 00:07:37 2018: [=======] [ 3449] Starting kopano-spooler version 8.6.80.397 (pid 3449)
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] ----------------------------------------------------------------------
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Fatal error detected. Please report all following information.
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Application kopano-spooler version: 8.6.80.397
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] OS: Linux, release: 3.10.0-693.21.1.el7.x86_64, version: #1 SMP Wed Mar 7 19:03:37 UTC 2018, hardware: x86_64
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Thread name: kopano-spooler
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Peak RSS: 8240
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Pid 3449 caught SIGABRT (6), out of memory or unhandled exception, traceback:
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Backtrace:
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #0. /lib64/libkcutil.so.0(+0x2ad7e) [0x7f26bbad9d7e]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #1. /lib64/libkcutil.so.0(+0x208fd) [0x7f26bbacf8fd]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #2. /lib64/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1a3) [0x7f26bbacfc03]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #3. /lib64/libpthread.so.0(+0xf5e0) [0x7f26b858a5e0]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #4. /lib64/libc.so.6(gsignal+0x37) [0x7f26b6fe21f7]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #5. /lib64/libc.so.6(abort+0x148) [0x7f26b6fe38e8]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #6. /lib64/libc.so.6(+0x74f47) [0x7f26b7021f47]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #7. /lib64/libc.so.6(+0x7c619) [0x7f26b7029619]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #8. /usr/lib64/kopano/libkcclient.so(+0x53f45) [0x7f26aeb22f45]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #9. /usr/lib64/kopano/libkcclient.so(MSGServiceEntry+0x640) [0x7f26aebb6b40]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #10. /lib64/libmapi.so.1(+0x23e16) [0x7f26bbf74e16]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #11. /lib64/libmapi.so.1(+0x376d8) [0x7f26bbf886d8]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #12. /lib64/libmapi.so.1(_ZN2KC15HrOpenECSessionEPP12IMAPISessionPKcS4_PKwS6_S4_jS4_S4_S4_+0xc6) [0x7f26bbf88c06]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #13. /lib64/libmapi.so.1(_ZN2KC20HrOpenECAdminSessionEPP12IMAPISessionPKcS4_S4_jS4_S4_+0x20) [0x7f26bbf88e00]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #14. /usr/sbin/kopano-spooler() [0x409e4f]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #15. /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f26b6fcec05]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] #16. /usr/sbin/kopano-spooler() [0x40b0ff]
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Signal errno: Success, signal code: -6
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Sender pid: 3449, sender uid: 996, si_status: 0
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] Signal value: 0, faulting address: 0x3e400000d79
Wed Apr  4 00:07:37 2018: [crit   ] [ 3449] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.

Centje version is

CentOS Linux release 7.4.1708 (Core)

@ckruijntjens,

do a yum update to get additional packages, not listed in the dependencies.
i bet it will update libkc and libmapi

coffee_is_life

CentOS 7.4.1708
Mariadb-5.5.56-2
KC 8.5.4.0-9.1
WebApp 3.4.5.1202-47.1 external Server - TCP-Socket
Z-Push 2.3.9+0-90.1
PHP-MAPI 8.5.4.0-9.1
PHP 5.6.25 with Zend OPcache v7.0.6-dev
DeskApp 1.5.0
Outlook 2016(64bit) KOE 1.6.282
Outlook 2010 -Zarafa 7.2.6

@coffee_is_life

Hi it wants to update the following packages:

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.dataone.nl
 * epel: mirror.kinamo.be
 * extras: mirror.amsiohosting.net
 * updates: mirror.netrouting.net
Resolving Dependencies
--> Running transaction check
---> Package kopano-backup.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-backup.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-bash-completion.noarch 0:8.6.80.45-84.1 will be updated
---> Package kopano-bash-completion.noarch 0:8.6.80.397-42.1 will be an update
---> Package kopano-client.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-client.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-common.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-common.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-compat.x86_64 0:8.6.80.45-84.1 will be obsoleted
---> Package kopano-contacts.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-contacts.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-dagent.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-dagent.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-debuginfo.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-debuginfo.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-devel.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-devel.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-gateway.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-gateway.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-ical.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-ical.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-lang.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-lang.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-migration-imap.noarch 0:8.6.80.45-84.1 will be updated
---> Package kopano-migration-imap.noarch 0:8.6.80.397-42.1 will be an update
---> Package kopano-migration-pst.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-migration-pst.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-monitor.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-monitor.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-presence.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-presence.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-search.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-search.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-server.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-server.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-server-packages.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-server-packages.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-spamd.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-spamd.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-spooler.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-spooler.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-utils.x86_64 0:8.6.80.45-84.1 will be updated
---> Package kopano-utils.x86_64 0:8.6.80.397-42.1 will be an update
---> Package kopano-webapp-plugin-filesbackend-owncloud.noarch 0:2.1.1.72-48.1 will be updated
---> Package kopano-webapp-plugin-filesbackend-owncloud.noarch 0:2.1.1.74-50.1 will be an update
---> Package kopano-webapp-plugin-intranet.noarch 0:0.1-30.3 will be updated
---> Package kopano-webapp-plugin-intranet.noarch 0:0.1-31.1 will be an update
---> Package kopano-webapp-plugin-mattermost.noarch 0:0.1-12.2 will be updated
---> Package kopano-webapp-plugin-mattermost.noarch 0:0.1-13.1 will be an update
---> Package libkcarchiver0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcarchiver0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcarchivercore0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcarchivercore0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcfreebusy0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcfreebusy0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcicalmapi0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcicalmapi0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcinetmapi0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcinetmapi0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcmapi0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcmapi0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcserver0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcserver0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcsoap0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcsoap0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcssl0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcssl0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcsync0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcsync0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libkcutil0.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libkcutil0.x86_64 0:8.6.80.397-42.1 will be an update
---> Package libmapi1.x86_64 0:8.6.80.45-84.1 will be updated
---> Package libmapi1.x86_64 0:8.6.80.397-42.1 will be an update
---> Package php-mapi.x86_64 0:8.6.80.45-84.1 will be updated
---> Package php-mapi.x86_64 0:8.6.80.397-42.1 will be an update
---> Package python-kopano.x86_64 0:8.6.80.45-84.1 will be obsoleted
---> Package python-mapi.x86_64 0:8.6.80.45-84.1 will be obsoleted
---> Package python2-kopano.x86_64 0:8.6.80.397-42.1 will be obsoleting
---> Package python2-mapi.x86_64 0:8.6.80.397-42.1 will be obsoleting
---> Package python2-zarafa.x86_64 0:8.6.80.397-42.1 will be obsoleting
---> Package whatsapp4deskapp.noarch 0:0.1-4.7 will be updated
---> Package whatsapp4deskapp.noarch 0:0.1-4.8 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                               Arch   Version         Repository   Size
================================================================================
Installing:
 python2-kopano                        x86_64 8.6.80.397-42.1 Kopano-core 228 k
     replacing  python-kopano.x86_64 8.6.80.45-84.1
 python2-mapi                          x86_64 8.6.80.397-42.1 Kopano-core 380 k
     replacing  python-mapi.x86_64 8.6.80.45-84.1
 python2-zarafa                        x86_64 8.6.80.397-42.1 Kopano-core  10 k
     replacing  kopano-compat.x86_64 8.6.80.45-84.1
Updating:
 kopano-backup                         x86_64 8.6.80.397-42.1 Kopano-core  40 k
 kopano-bash-completion                noarch 8.6.80.397-42.1 Kopano-core  11 k
 kopano-client                         x86_64 8.6.80.397-42.1 Kopano-core 397 k
 kopano-common                         x86_64 8.6.80.397-42.1 Kopano-core  29 k
 kopano-contacts                       x86_64 8.6.80.397-42.1 Kopano-core  44 k
 kopano-dagent                         x86_64 8.6.80.397-42.1 Kopano-core 157 k
 kopano-debuginfo                      x86_64 8.6.80.397-42.1 Kopano-core  23 M
 kopano-devel                          x86_64 8.6.80.397-42.1 Kopano-core 166 k
 kopano-gateway                        x86_64 8.6.80.397-42.1 Kopano-core 141 k
 kopano-ical                           x86_64 8.6.80.397-42.1 Kopano-core 137 k
 kopano-lang                           x86_64 8.6.80.397-42.1 Kopano-core  66 k
 kopano-migration-imap                 noarch 8.6.80.397-42.1 Kopano-core  76 k
 kopano-migration-pst                  x86_64 8.6.80.397-42.1 Kopano-core  79 k
 kopano-monitor                        x86_64 8.6.80.397-42.1 Kopano-core  61 k
 kopano-presence                       x86_64 8.6.80.397-42.1 Kopano-core  22 k
 kopano-search                         x86_64 8.6.80.397-42.1 Kopano-core  50 k
 kopano-server                         x86_64 8.6.80.397-42.1 Kopano-core 296 k
 kopano-server-packages                x86_64 8.6.80.397-42.1 Kopano-core 9.4 k
 kopano-spamd                          x86_64 8.6.80.397-42.1 Kopano-core  20 k
 kopano-spooler                        x86_64 8.6.80.397-42.1 Kopano-core  99 k
 kopano-utils                          x86_64 8.6.80.397-42.1 Kopano-core 252 k
 kopano-webapp-plugin-filesbackend-owncloud
                                       noarch 2.1.1.74-50.1   Kopano-core 181 k
 kopano-webapp-plugin-intranet         noarch 0.1-31.1        Kopano-core  16 k
 kopano-webapp-plugin-mattermost       noarch 0.1-13.1        Kopano-core  19 k
 libkcarchiver0                        x86_64 8.6.80.397-42.1 Kopano-core 106 k
 libkcarchivercore0                    x86_64 8.6.80.397-42.1 Kopano-core 105 k
 libkcfreebusy0                        x86_64 8.6.80.397-42.1 Kopano-core  56 k
 libkcicalmapi0                        x86_64 8.6.80.397-42.1 Kopano-core 118 k
 libkcinetmapi0                        x86_64 8.6.80.397-42.1 Kopano-core 211 k
 libkcmapi0                            x86_64 8.6.80.397-42.1 Kopano-core 116 k
 libkcserver0                          x86_64 8.6.80.397-42.1 Kopano-core 678 k
 libkcsoap0                            x86_64 8.6.80.397-42.1 Kopano-core 258 k
 libkcssl0                             x86_64 8.6.80.397-42.1 Kopano-core  42 k
 libkcsync0                            x86_64 8.6.80.397-42.1 Kopano-core  46 k
 libkcutil0                            x86_64 8.6.80.397-42.1 Kopano-core 133 k
 libmapi1                              x86_64 8.6.80.397-42.1 Kopano-core 200 k
 php-mapi                              x86_64 8.6.80.397-42.1 Kopano-core 201 k
 whatsapp4deskapp                      noarch 0.1-4.8         Kopano-core  16 k

Transaction Summary
================================================================================
Install   3 Packages
Upgrade  38 Packages

Total download size: 28 M

hi @ckruijntjens,

like i said:

—> Package libkcarchiver0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcarchiver0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcarchivercore0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcarchivercore0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcfreebusy0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcfreebusy0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcicalmapi0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcicalmapi0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcinetmapi0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcinetmapi0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package **libkcmapi0.x86_64** 0:8.6.80.45-84.1 will be updated
—> Package libkcmapi0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package **libkcserver0.x86_64** 0:8.6.80.45-84.1 will be updated
—> Package libkcserver0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package **libkcsoap0.x86_64** 0:8.6.80.45-84.1 will be updated
—> Package libkcsoap0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcssl0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcssl0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package libkcsync0.x86_64 0:8.6.80.45-84.1 will be updated
—> Package libkcsync0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package **libkcutil0.x86_64** 0:8.6.80.45-84.1 will be updated
—> Package libkcutil0.x86_64 0:8.6.80.397-42.1 will be an update
—> Package **libmapi1.x86_64** 0:8.6.80.45-84.1 will be updated
—> Package libmapi1.x86_64 0:8.6.80.397-42.1 will be an update
—> Package php-mapi.x86_64 0:8.6.80.45-84.1 will be updated
—> Package php-mapi.x86_64 0:8.6.80.397-42.1 will be an update

these packages wont install (if i remember correctly) if you use "yum update kopano*"
the packages in “**” are the ones that throws the errors in your system

try it on your testsystem and report back

coffee_is_life

CentOS 7.4.1708
Mariadb-5.5.56-2
KC 8.5.4.0-9.1
WebApp 3.4.5.1202-47.1 external Server - TCP-Socket
Z-Push 2.3.9+0-90.1
PHP-MAPI 8.5.4.0-9.1
PHP 5.6.25 with Zend OPcache v7.0.6-dev
DeskApp 1.5.0
Outlook 2016(64bit) KOE 1.6.282
Outlook 2010 -Zarafa 7.2.6

@coffee_is_life

Should I update with yum update kopano* then?

Why is a yum update not ok?

@Coffee_is_life

if i do yum update kopano*

No errors when installing but after package installations kopano-spooler is not running anymore

with yum update kopano* you will only update packages with name kopano.
The dependencies are broken, so yum doesnt know that libkc should be installed too.

in the past i observed this issue in previous releases.

my advise is to use “yum update” and update everything from this server or if there are packages which you dont want to upgrade at this moment use

yum update kopano* -y
yum update libkc* -y
yum update libmapi* -y

coffee_is_life

CentOS 7.4.1708
Mariadb-5.5.56-2
KC 8.5.4.0-9.1
WebApp 3.4.5.1202-47.1 external Server - TCP-Socket
Z-Push 2.3.9+0-90.1
PHP-MAPI 8.5.4.0-9.1
PHP 5.6.25 with Zend OPcache v7.0.6-dev
DeskApp 1.5.0
Outlook 2016(64bit) KOE 1.6.282
Outlook 2010 -Zarafa 7.2.6

@coffee_is_life

hi i did the above however i cant start the spooler service, can we do something with this error?

*** Error in `/usr/sbin/kopano-spooler’: free(): invalid pointer: 0x00007f61ca708080 ***

@coffee_is_life

yum update libkc* -y “is not available”?

not if i update and not if i want to install the package?

Can dis be the problem?

what does

rpm -qva | grep libkc

say?

and another question, is the Repository “Kopano-Core” enabled by default in your /etc/yum.repos.d/<something>.repo

coffee_is_life

CentOS 7.4.1708
Mariadb-5.5.56-2
KC 8.5.4.0-9.1
WebApp 3.4.5.1202-47.1 external Server - TCP-Socket
Z-Push 2.3.9+0-90.1
PHP-MAPI 8.5.4.0-9.1
PHP 5.6.25 with Zend OPcache v7.0.6-dev
DeskApp 1.5.0
Outlook 2016(64bit) KOE 1.6.282
Outlook 2010 -Zarafa 7.2.6

@coffee_is_life

Hi i just restored all to an earlyer version.

rpm -qva | grep libkc output is now:

libkcmapi0-8.6.80.45-84.1.x86_64
libkcsync0-8.6.80.45-84.1.x86_64
libkcicalmapi0-8.6.80.45-84.1.x86_64
libkcutil0-8.6.80.45-84.1.x86_64
libkcfreebusy0-8.6.80.45-84.1.x86_64
libkcinetmapi0-8.6.80.45-84.1.x86_64
libkcarchivercore0-8.6.80.45-84.1.x86_64
libkcserver0-8.6.80.45-84.1.x86_64
libkcssl0-8.6.80.45-84.1.x86_64
libkcsoap0-8.6.80.45-84.1.x86_64
libkcarchiver0-8.6.80.45-84.1.x86_64

If i upgrade to a newer version it stops working on my centos 7 machine.

"

@coffee_is_life
i believe this is the problem. How can i resolve this.

0_1522874581758_487091f7-7310-491d-b89c-82c02fe071ca-image.png

Hello @ckruijntjens,

something like this will do it:

yum reinstall $(repoquery --requires --recursive --resolve <pkg>)

replacing <pkg> wiht the packagename which you want to check (in your case “gperftools-devel”)

coffee_is_life

CentOS 7.4.1708
Mariadb-5.5.56-2
KC 8.5.4.0-9.1
WebApp 3.4.5.1202-47.1 external Server - TCP-Socket
Z-Push 2.3.9+0-90.1
PHP-MAPI 8.5.4.0-9.1
PHP 5.6.25 with Zend OPcache v7.0.6-dev
DeskApp 1.5.0
Outlook 2016(64bit) KOE 1.6.282
Outlook 2010 -Zarafa 7.2.6

Log in to reply

Looks like your connection to Kopano Community Forum was lost, please wait while we try to reconnect.